Initiate registration
curl --request POST \
--url https://api.example.com/v1/users/initiate-registration \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credential_value": "<string>",
"password": "<string>",
"terms_accepted": true,
"privacy_policy_accepted": true
}
'import requests
url = "https://api.example.com/v1/users/initiate-registration"
payload = {
"credential_value": "<string>",
"password": "<string>",
"terms_accepted": True,
"privacy_policy_accepted": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
credential_value: '<string>',
password: '<string>',
terms_accepted: true,
privacy_policy_accepted: true
})
};
fetch('https://api.example.com/v1/users/initiate-registration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"code": "users.invalid_user_input",
"message": "Invalid user input data"
}Registration
Initiate registration
Start user registration process
POST
/
v1
/
users
/
initiate-registration
Initiate registration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I